//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package nccloud.api.ic.m4d;

import java.util.List;
import java.util.Map;
import nc.vo.ic.m4d.entity.MaterialOutVO;
import nc.vo.pub.BusinessException;

public interface IAPIMaterialOutMaintain {
    MaterialOutVO[] save(List<Map<String, Object>> var1) throws BusinessException;

    MaterialOutVO[] update(List<Map<String, Object>> var1) throws BusinessException;

    MaterialOutVO[] delete(MaterialOutVO[] var1) throws BusinessException;

    MaterialOutVO[] sign(MaterialOutVO[] var1) throws BusinessException;

    MaterialOutVO[] unSign(MaterialOutVO[] var1) throws BusinessException;

    MaterialOutVO[] saveByRef(List<Map<String, Object>> var1) throws BusinessException;
}
